Assets
Import image from URL
POST
Synchronously fetches an image from a public URL and ingests it as an UploadedImage asset.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
application/json- body
url*UrlPublic HTTP/HTTPS URL of the image to import.
Length
1 <= length <= 2048filename?|Optional filename override for the imported asset.
Default
nullproject_id?|Optional project ID to associate the asset with.
Default
nulltag_ids?array<string>IDs of existing, visible tags to assign to the newly created asset.
Default
[]new_tags?array<>New tags to create (owned by the caller) and assign to the newly created asset.
Default
[]Successful Response
application/json- response
asset_id*Asset IdUUID of the created asset (matches the id used by other asset endpoints).
filename*FilenameSaved filename of the asset.
url*UrlCloudFront download URL of the asset.
project_id?|Associated project ID if assigned.
Default
nulltags?array<>Tags assigned to the created asset.
Default
[]curl -X POST "https://example.com/upload/from-url" \ -H "Content-Type: application/json" \ -d '{ "url": "string" }'{ "asset_id": "string", "filename": "string", "url": "string", "project_id": null, "tags": []}